Bug 1263815 - Test case failure: Multihead - Large Desktop on ATI Pitcairn PRO [Radeon HD 7850] [1002:6819] [NEEDINFO]
Test case failure: Multihead - Large Desktop on ATI Pitcairn PRO [Radeon HD 7...
Status: NEW
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: xorg-x11-drv-ati (Show other bugs)
7.5
x86_64 Linux
unspecified Severity unspecified
: rc
: ---
Assigned To: Lyude
Desktop QE
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-16 15:06 EDT by Vasiliy Sharapov
Modified: 2017-07-25 17:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
cpaul: needinfo? (vsharapo)


Attachments (Terms of Use)
Xorg log of problem (117.37 KB, text/plain)
2015-09-16 15:06 EDT, Vasiliy Sharapov
no flags Details

  None (edit)
Description Vasiliy Sharapov 2015-09-16 15:06:27 EDT
Created attachment 1074176 [details]
Xorg log of problem

Filed from caserun (https://tcms.engineering.redhat.com/run/260129/#caserun_10820258)

Version-Release number of selected component (if applicable):
RHEL-7.2-20150820.0
xorg-x11-server-Xorg-1.17.2-7.el7.x86_64
xorg-x11-drv-ati-7.5.0-3.el7.x86_64
kernel-3.10.0-306.0.1.el7.x86_64
linux-firmware-20150727-41.git75cc3ef.el7.noarch
mesa-dri-drivers-10.6.0-1.20150616.el7.x86_64

Steps to Reproduce: 
 1. obtain a card that is capable to connect 4 screens and 4 monitors
 2. plug everything together and start GNOME


 1. go into Control Center -> Display
 2. Create 4x1 setup with all displays set to the same resolution
 3. Create 2x2 setup
 4. Create 1x4 setup with all displays set to different resolution



Actual results: 
If monitors are hotplugged up to 4 (DP must be present on boot due to another bug[1]) then 2/4 monitors work and the other two are registered by xrandr and mode is set, but monitor gets no signal and goes to sleep.
If all four are plugged on boot, then 0/4 monitors work - they all get registered by xrandr and modes set, but no signal goes to the monitors and they all go to sleep.

Expected results:
you should be able to move cursor from one screen to another flawlessly in all
setups.

In different resolution setup there should be borders where you cannot pass to
another screen accordingly


Additional info:
Xorg log attached is from latter scenario (all 4 screens plugged at boot time)
Comment 3 Lyude 2016-06-14 13:19:00 EDT
What kind of monitor configuration was this tested with? There was a bug previously in xf86-video-ati where if we failed to do a modeset due to hardware limitations we'd drop all of the displays that had been working previously, which sounds like what you might be seeing here

Note You need to log in before you can comment on or make changes to this bug.